/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class GMPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Common";
        public override string UIResName => "GMPanel";

        [AutoFind(Name = "InputForce")]
        public GLabel InputForce;
        [AutoFind(Name = "BtnOk")]
        public GButton BtnOk;
        [AutoFind(Name = "Dir")]
        public GComboBox Dir;
        public override string[] GetDependPackages(){ return new string[] {}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<GMPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<GMPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<GMPanel>(); }

    }
}